For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/tools/post-api-tools-v1auth-checker.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
SPF / DKIM / DMARC check
POST
/api/tools/v1/auth-checker
1const response = await fetch("https://reloop.sh/api/tools/v1/auth-checker", {2 method: "POST",3 headers: {4 "Authorization": "Bearer re_123456789",5 "Content-Type": "application/json",6 },7 body: JSON.stringify({8 "domain": "stripe.com",9 "selector": "s1"10})11});12
13const data = await response.json();1{2 "domain": "send.example.com",3 "resolvedAt": "2026-03-23T10:00:00.000Z",4 "responseTimeMs": 0,5 "score": 0,6 "grade": "example_grade",7 "verdict": "fully_aligned",8 "verdictLabel": "example_verdictLabel",9 "spf": {10 "status": "pass",11 "published": true,12 "rawRecord": "example_rawRecord",13 "qualifier": "example_qualifier",14 "lookupCount": 0,15 "mechanisms": [16 "example_mechanisms"17 ],18 "includes": [19 "example_includes"20 ],21 "ip4": [22 "example_ip4"23 ],24 "ip6": [25 "example_ip6"26 ],27 "warnings": [28 "example_warnings"29 ]30 },31 "dkim": {32 "status": "pass",33 "published": true,34 "selector": "example_selector",35 "rawRecord": "example_rawRecord",36 "publicKey": "example_publicKey",37 "keyLength": 0,38 "algorithm": "example_algorithm",39 "testedSelectors": [40 "example_testedSelectors"41 ],42 "warnings": [43 "example_warnings"44 ]45 },46 "dmarc": {47 "status": "pass",48 "published": true,49 "rawRecord": "example_rawRecord",50 "policy": "example_policy",51 "subdomainPolicy": "example_subdomainPolicy",52 "percentage": 0,53 "rua": [54 "example_rua"55 ],56 "ruf": [57 "example_ruf"58 ],59 "dkimAlignment": "example_dkimAlignment",60 "spfAlignment": "example_spfAlignment",61 "warnings": [62 "example_warnings"63 ]64 },65 "mx": {66 "status": "pass",67 "published": true,68 "provider": "example_provider",69 "records": [70 {71 "exchange": "example_exchange",72 "priority": 073 }74 ],75 "warnings": [76 "example_warnings"77 ]78 },79 "bimi": {80 "status": "pass",81 "published": true,82 "rawRecord": "example_rawRecord",83 "svgUrl": "example_svgUrl",84 "vmcUrl": "example_vmcUrl"85 },86 "mtaSts": {87 "status": "pass",88 "published": true,89 "rawRecord": "example_rawRecord",90 "mode": "example_mode"91 },92 "diagnostics": [93 {94 "id": "con_123456789",95 "name": "Newsletter",96 "category": "spf",97 "status": "pass",98 "message": "Contact already exists",99 "details": "example_details"100 }101 ]102}Body Parameters
domainstringRequired
The sending domain name to check email authentication for.
- Minimum length:
1 - Maximum length:
255
selectorstring
Optional DKIM selector (e.g. s1, google, default, k1).
- Maximum length:
100
Was this page helpful?
- Need help? Contact Support.
- Chat with Reloop developers on Discord.
- Check out our changelog.
- Questions? Contact Sales.
- LLM? Read llms.txt.